/****************************************************************************
 * 정보입력 페이지 이동
 ****************************************************************************/
function fn_joinInputIntro(){
    let serviceAgreement = $('#service_agreement').prop('checked');
    let collectionAgreement =  $('#collection_agreement').prop('checked');
    let marketingAgreement =  $('#marketing_agreement').prop('checked');

    if(!serviceAgreement){
        modalEvent.warning('등록','서비스 이용 약관은 필수 동의 사항입니다.')
        return;
    }
    if(!collectionAgreement){
        modalEvent.warning('등록','개인정보 수집 및 이용 약관은 필수 동의 사항입니다.')
        return;
    }

    let param = "?serviceAgreement="+serviceAgreement;
    param    += "&collectionAgreement="+collectionAgreement;
    param    += "&marketingAgreement="+marketingAgreement;
    param    += "&snsEmail="+snsEmail;
    param    += "&loginType="+loginType;

    location.href = '/mobilejoin/joinInputIntro.do'+param;
}

/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){

}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
    // 아아디 keypress
    $(document).on('keypress', '#loginId', function(e) {
        fn_enter(e);
    });

    // 비밀번호 keypress
    $(document).on('keypress', '#password', function(e) {
        fn_enter(e);
    });

    // 다음버튼
    $("#btn_joinInputIntro").click(function () {
        fn_joinInputIntro();
    });

    // 다음버튼
    $("#all_agreement").click(function () {
        fn_checkAll();
    });

    // 전체동의 체크
    // $("#all_agreement").change(function () {
    //     const checkboxes = document.querySelectorAll('input[name="join_agreement"]');
    //     checkboxes.forEach(function(checkbox) {
    //         checkbox.checked = this.checked;
    //     }, this);
    // });
}

/****************************************************************************
* 전체선택
****************************************************************************/
function fn_checkAll(){
	if( $("#all_agreement").is(':checked') ){
		$("input[name=join_agreement]").prop("checked", true);
	}else{
		$("input[name=join_agreement]").prop("checked", false);
	}
}

/****************************************************************************
* 전체선택 확인
****************************************************************************/
function fn_checkYn(){
	let rowsCount      = $("input:checkbox[name=join_agreement]").length;
	let rowsCheckCount = $("input:checkbox[name=join_agreement]:checked").length;

	if(rowsCount==rowsCheckCount){
		$("#all_agreement").prop("checked", true);
	}else{
		$("#all_agreement").prop("checked", false);
	}
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});